Name:          dos2unix
Version:       7.2.1
Release:       1mamba
Summary:       Text file format converters
Group:         Applications/Text
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://www.xs4all.nl/~waterlan/dos2unix.html
Source:        http://www.xs4all.nl/~waterlan/dos2unix/dos2unix-%{version}.tar.gz
License:       BSD
BuildRequires: gettext
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Obsoletes:     hd2u
Provides:      hd2u
Obsoletes:     unix2dos
Provides:      unix2dos
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Convert text files with DOS or Mac line endings to Unix line endings and vice versa.

Features

* Native language support: Dutch, English, Esperanto, Esperanto x-method, German.
* Automatically skips binary and non-regular files
* In-place, paired, or stdio mode conversion.
* Keep original file dates option.
* 7-bit and iso (CP437 <-> ISO-8859-1) conversion modes.

%prep
%setup -q
rm -rf po/*/eo-x.*

%build

%make CFLAGS="%{optflags} -D_LARGEFILE_SOURCE $(getconf LFS_CFLAGS)"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -rf %{buildroot}%{_docdir}

%find_lang %{name}
#%find_lang unix2dos
#%find_lang unix2mac
#%find_lang mac2unix
#cat unix2dos.lang unix2mac.lang mac2unix.lang >> %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/dos2unix
%{_bindir}/mac2unix
%{_bindir}/unix2dos
%{_bindir}/unix2mac
%{_mandir}/man1/*.1.gz
%lang(de) %{_mandir}/de/man1/*.1.gz
%lang(es) %{_mandir}/es/man1/*.1.gz
%lang(fr) %{_mandir}/fr/man1/*.1.gz
%lang(nl) %{_mandir}/nl/man1/*.1.gz
%lang(pl) %{_mandir}/pl/man1/*.1.gz
%lang(pt_BR) %{_mandir}/pt_BR/man1/*.1.gz
%lang(uk) %{_mandir}/uk/man1/*.1.gz
%doc ChangeLog.txt COPYING.txt
#%doc dos2unix.htm dos2unix.pdf dos2unix.ps
#%doc NEWS.txt README.txt TODO.txt

%changelog
* Sat Apr 04 2015 Automatic Build System <autodist@mambasoft.it> 7.2.1-1mamba
- automatic version update by autodist

* Thu Feb 12 2015 Automatic Build System <autodist@mambasoft.it> 7.2-1mamba
- automatic update by autodist

* Tue Oct 14 2014 Automatic Build System <autodist@mambasoft.it> 7.1-1mamba
- automatic update by autodist

* Sun Sep 21 2014 Automatic Build System <autodist@mambasoft.it> 7.0-1mamba
- automatic version update by autodist

* Sun Aug 10 2014 Automatic Build System <autodist@mambasoft.it> 6.0.6-1mamba
- automatic version update by autodist

* Wed Apr 30 2014 Automatic Build System <autodist@mambasoft.it> 6.0.5-1mamba
- automatic version update by autodist

* Tue Dec 31 2013 Automatic Build System <autodist@mambasoft.it> 6.0.4-1mamba
- automatic version update by autodist

* Sun Jan 27 2013 Automatic Build System <autodist@mambasoft.it> 6.0.3-1mamba
- automatic version update by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 6.0.2-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Mon May 07 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 6.0-1mamba
- update to 6.0

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 5.3.3-1mamba
- automatic version update by autodist

* Mon Mar 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.1-3mamba
- obsolete unix2dos

* Mon Mar 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.1-2mamba
- obsolete hd2u

* Thu Dec 30 2010 gil <puntogil@libero.it> 5.1.1-1mamba
- package created by autospec
